## kf6-kquickcharts 6.6.0

=== debian/changelog ===
kf6-kquickcharts (6.6.0-3+rpi1) trixie-staging; urgency=medium

  * Update symbols file for raspbian.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 05 Dec 2024 20:22:50 +0000

kf6-kquickcharts (6.6.0-3) unstable; urgency=medium

  * Team upload.
  * Update the list of architectures on which the tests fail:
    - add hppa
    - drop loong64, on where it seems the tests run fine now

 -- Pino Toscano <pino@debian.org>  Mon, 25 Nov 2024 12:35:11 +0100

kf6-kquickcharts (6.6.0-2) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.

 -- Sandro Knauß <hefee@debian.org>  Mon, 18 Nov 2024 20:00:46 +0100

kf6-kquickcharts (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:12:28 +0200

kf6-kquickcharts (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * CI: update/simplify configuration.
  * Add hurd-i386, and hurd-amd64 to the list of architectures on which the
    tests fail; in case of Hurd it is most likely due to the lack of direct
    rendering OpenGL.

 -- Pino Toscano <pino@debian.org>  Tue, 27 Aug 2024 07:05:01 +0200

kf6-kquickcharts (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:08 +0200

kf6-kquickcharts (6.4.0-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 21 Jul 2024 11:00:58 +0200

kf6-kquickcharts (6.4.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Allow test-failures on certain archs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 21 Jul 2024 06:11:07 +0200

kf6-kquickcharts (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:10 +0200
