=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kf6-kquickcharts
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sandro Knauß <hefee@debian.org>,
            Patrick Franz <deltaone@debian.org>,
@@ -10,7 +9,8 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.3.0~),
+               dh-sequence-qmldeps,
+               extra-cmake-modules (>= 6.6.0~),
                libkf6declarative-dev,
                libkirigami-dev,
                libxkbcommon-dev,
@@ -96,12 +96,8 @@
 Multi-Arch: same
 Depends: libquickcharts1 (= ${binary:Version}),
          libquickchartscontrols1 (= ${binary:Version}),
-         qml6-module-org-kde-kirigami,
-         qml6-module-qtquick,
-         qml6-module-qtquick-controls,
-         qml6-module-qtquick-layouts,
-         qml6-module-qtquick-tooling,
          ${misc:Depends},
+         ${qml6:Depends},
          ${shlibs:Depends},
 Description: Quick Charts - QML module
  A QtQuick plugin providing high-performance charts (gpu-accelerated).
