## kf6-kquickcharts 6.10.0

=== debian/changelog ===
kf6-kquickcharts (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:25:08 +0100

kf6-kquickcharts (6.8.0-2) unstable; urgency=medium

  * Team upload.
  * Add alpha to the list of architectures on which the tests fail.

 -- Pino Toscano <pino@debian.org>  Thu, 12 Dec 2024 09:11:14 +0100

kf6-kquickcharts (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:11:30 +0100

kf6-kquickcharts (6.7.0-2) experimental; urgency=medium

  * Team upload.
  * Merge changes from 6.6.0-2 and 6.6.0-3.

 -- Pino Toscano <pino@debian.org>  Mon, 25 Nov 2024 13:06:50 +0100

kf6-kquickcharts (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:27 -0600
