=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
                libkf6declarative-dev,
                libkirigami-dev,
                libxkbcommon-dev,
