=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,8 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-testsuite_failing_archs := alpha hppa hurd-amd64 hurd-i386 powerpc riscv64
+# testsuite_failing_archs := alpha hppa hurd-i386 mips64el powerpc riscv64 x32
+testsuite_failing_archs :=
 ifneq (,$(filter $(DEB_HOST_ARCH),$(testsuite_failing_archs)))
   fail_param := || true
 endif
