=== debian/changelog ===
kf6-kquickcharts (6.18.0-2) unstable; urgency=medium

  * Team upload.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Add x32 to the list of architectures on which the tests fail.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Oct 2025 06:55:50 +0200

kf6-kquickcharts (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:17:56 +0200
